p2p networks supported on trisquel? and p2p encrypted chat supported on trisquel?

40 réponses [Dernière contribution]
lynn
Hors ligne
A rejoint: 02/10/2016

Hi

Could you tell me all the supported p2p network sofwares on trisquel? and the most reliable solution for p2p/encryption network softwares

Could you let me know the best p2p encrypted chat sotwares supported on trisquel as well

Thank you

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

Hi lynn

;-)

1/p2p

You can install Gnunet from you Synaptic package manager it's a secure, trust-based peer-to-peer framework
http://www.gnunet.org/

Gtk-Gnutella
BitTorrent Clients such as Transmission
murmur (music,soulseek)

Mumble
Low-latency - great for talking and gaming

Bitmessage
https://trisquel.info/fr/wiki/comment-installer-bitmessage-dans-trisquel-7-belenos

there is also Apt-p2p
https://trisquel.info/fr/wiki/apt-p2p

2/Tor

For Jabber (Encrypted)
Pidgin, Psi, + OTR

Torchat in Trisquel repositary

https://ring.cx/
qtox (in Trisquel repositary)
uTox : https://trisquel.info/fr/wiki/utox

Decentralized chat/sites like WP
How to install and use ZeroNet in Trisquel 7 Belenos
https://trisquel.info/en/wiki/how-install-and-use-zeronet-trisquel-7-belenos

https://p2pfoundation.net/

lynn
Hors ligne
A rejoint: 02/10/2016

TY:)

I cannot find Qtox in trisquel repository.. I use gui add/remove.
I cannot find me bitmessage too. Is it in officall trisquel repositary.
Can you give me some links for some decentralized sites like wp ?
ty

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

Hi Lynn

You will find Qtox in the Trisquel repositary via your package manager Synaptic
https://help.ubuntu.com/community/SynapticHowto

more recent versions
https://github.com/uTox/uTox
https://tox.chat/

After instalation one can register a Tox@address at
http://register.utox.org/
https://toxme.io/add_ui

https://ring.cx/

Bitmessage (decentralized peer to peer email) & Zeronet (free and uncensorable websites,
using Bitcoin cryptography and BitTorrent network)are not in the Trisquel repositary.Please folow the instructions on the wiki pages to install them on Trisquel 7.

https://bitmessage.org/wiki/Main_Page
https://zeronet.io/en

Bitmessage email gateway if one cannot install Bitmessage
https://bitmessage.ch/

SuperTramp83

I am a translator!

Hors ligne
A rejoint: 10/31/2014

mangy dawg, I'm disappointed. No ricochet?
Shame on you!

nun-shame.jpg
Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

darn me!

Yes Ricochet ¡¡...

PSSSsssssssssssssst.......................waf waff

you missed out Tor Mesenger

The score is => 0 = 0

https://blog.torproject.org/blog/tor-messenger-beta-chat-over-tor-easily

Dida dida ;-)

Mars_Landing_for_the_dawg.jpeg
lynn
Hors ligne
A rejoint: 02/10/2016

Hi

I tried install qtox from synaptic and error i got: you are about to install sofware that can be authenticated.. and It stops installation there

How could I resolve this?

Thank you

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

This may be in relation with the fact that you intsalled Jitsi
https://trisquel.info/fr/forum/how-i-could-install-latest-version-jitsi-trisquel#comment-115524

if after installing apt-transport-https the error persist check that there is no error in your /etc/apt/sources.list
no "or ' on the Jitsi repositary, you must add the Jitsi gpg key as indicated

https://wiki.debian.org/SecureApt

lynn
Hors ligne
A rejoint: 02/10/2016

hi

I don't have any authentification error now.. but I still have error.. fix broken package first..could not apply changes.

I noticed this error message as well. ** (synaptic:28256): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-APtBDtO5W5: Connection refused
when I enter sudo synaptic..

It looks like I cannot authentificate from system gui menu..password is always wrong..but I can from command line sudo synaptic.

i got this error too but when I hit refresh a second time, these errors don't appear again:
Could not download all repository indexes

The repository may no longer be available or could not be contacted because of network problems. If available an older version of the failed index will be used. Otherwise the repository will be ignored. Check your network connection and ensure the repository address in the preferences is correct..

E: Unable to correct problems, you have held broken packages.
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies
E: Unable to lock the list directory

Thank you

Magic Banana

I am a member!

Hors ligne
A rejoint: 07/24/2010

Lauch Synaptic from the "System Settings" or with the 'synaptic-pkexec' (no 'sudo') command, click on the "Custom Filters" button in the lower-left corner of the window and then on "Broken" (above). The broken packages will be listed. There should be none. Try to uninstall them for example (and to reinstall them later).

lynn
Hors ligne
A rejoint: 02/10/2016

None broken package is there in custom filter broken.. but I still have issue even if none broken package is there.

Thank you

lynn
Hors ligne
A rejoint: 02/10/2016

Here is qtox version that is in synapatic package manager.
0.0.0+git20150512.r2844-1~trusty+1+7.0trisquel1

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

Hi Lynn
As explained above there are several ways in which you can install & run a Tox client

Trisquel repositary (easy & safe, it will receive security updates) (however the version, is an less recent version)preferably the best choice.

Install from the Tox repositary (adding this repositary to your list of software sources exactly like you did to install Jistsi)
https://tox.chat/download.html#gnulinux
(Tox repositaries often change, so you can expect to have to reconfigure the repositaries, and to re-import the latest gpg key)

Or much easier a stand alone bundle tar.gz package (download, uncompress, and launch)
https://tox.chat/download.html

Note : from memory stand alone versions do not automaticaly get updates, and you have to re-download/install the next version !

run in a terminal to choose your architecture
$ arch
The Trisquel wiki page shows a stand alone bundle
https://trisquel.info/fr/wiki/utox

It is handy to register a name at domain address, this makes easy sharing with others instead of sending
32145646467987456468456468567976789675643514313 to someone by mail ;-)
https://toxme.io/add_ui
http://register.utox.org/

Other interesting softwares :
TorChat (in the Trisquel repositary, chat & file transfer)

Abrowser addon : Cryptocat lets you instantly set up encrypted conversations. It's a free, private, safer chatting alternative. Cryptocat uses the OTR (like Pidgin OTR ) encrypted messaging protocol to offer accessible communications...

lynn
Hors ligne
A rejoint: 02/10/2016

hi how I could resolve the broken page error issue in synapatic? I cannot locate broken package with custom filter.
I had broken page error when I tried to install follow package 0.0.0+git20150512.r2844-1~trusty+1+7.0trisquel ?

What are the differences between Qtox, utox and other tox ? is it better to use Qtox? (all the features?

Thank you

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

To fix broken packages

Choose Edit > Fix Broken Packages from the menu.

Choose Apply Marked Changes from the Edit menu or press Ctrl + P.

Confirm the summary of changes and click Apply

https://help.ubuntu.com/community/SynapticHowto

I used uTox, they are all quite similar (based on the same code/software)

lynn
Hors ligne
A rejoint: 02/10/2016

When I tried to fix broken package... I got this error
E: Unable to correct problems, you have held broken packages.
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.
E: Unable to correct dependencies

thank you

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

try

$ sudo apt-get update && sudo apt-get upgrade
Unless you already issued that command (on the other topic)

try

$ sudo apt-get clean
$ sudo apt-get -f install

check in you

/var/log/apt/term.log

Find the "broken" packages and remove them with sudo apt-get remove or as sugested Magic Banana (reinstall after) with your Synaptic Package Manager.

lynn
Hors ligne
A rejoint: 02/10/2016

I cannot find broken package in term.log

Here are the dependencies I see when I try to install qtox.

libfilteraudio0
libqrencode3
libqt5svg5
libsodium13

I checked and it looks like qtox himself is broken

qtox Package name is 0.0.0+git20150512.r2844-1~trusty+1+7.0trisquel

thank you

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

I just tried to install qTox and yes it's creates broken package message (bug or obsolete package)

Install latest version from the above links stand alone bundle or from the Tox repos

lynn
Hors ligne
A rejoint: 02/10/2016

I added repository of qtox..it works now... I thought I should debian.. but trisquel uses ubuntu 14.04 right?

So I used the follow commands and it worked.

For xUbuntu 14.04 run the following:

sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/antonbatenev:/tox/xUbuntu_14.04/ /' > /etc/apt/sources.list.d/qtox.list"
sudo apt-get update
sudo apt-get install qtox

You can add the repository key to apt. Keep in mind that the owner of the key may distribute updates, packages and repositories that your system will trust (more information). To add the key, run:

wget -nv http://download.opensuse.org/repositories/home:antonbatenev:tox/xUbuntu_14.04/Release.key -O Release.key
sudo apt-key add - < Release.key
sudo apt-get update

Ty

lynn
Hors ligne
A rejoint: 02/10/2016

I dont see qtox in my tray space.. qtox is already setup to appear in tray.. What could I do to resolve it

I noticed jitsi has same issue and not in tray. torchat has same issue too,,,.. it seems common.

I dont receive trisquel forum notification for new replies in my post.. how could I resolve this?

Thank you

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

qTox simulation of install = broken dependancies

uruk@uruk:~$ sudo apt-get install --dry-run qtox
[sudo] password for uruk:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :
Les paquets suivants contiennent des dépendances non satisfaites :
qtox : Dépend: libtoxav0 (>= 0.0.0+20141125.r2965) mais ne sera pas installé
Dépend: libtoxcore0 (>= 0.0.0+20150413.r3316) mais ne sera pas installé
Dépend: libtoxdns0 (>= 0.0.0+20140922.1) mais ne sera pas installé
Dépend: libtoxencryptsave0 (>= 0.0.0+20141025.r2891) mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

I opened a Ticket
https://trisquel.info/fr/issues/22446

Anyone test this on Trisquel 8 ?

What Trisquel did you install Gnome Flashback or Mini Lxde ?

lynn
Hors ligne
A rejoint: 02/10/2016

Hi I did on Trisquel 7...

Im currrently testing xmpp chat encryption with jitsi.

I got this error:Jabber) is trying to initiate an encrypted Off-The-Record conversation with you. However, your software does not support Off-The-Record messaging.

How could I resolve it?

Thank you

SuperTramp83

I am a translator!

Hors ligne
A rejoint: 10/31/2014

>I got this error:Jabber) is trying to initiate an encrypted Off-The-Record conversation with you. However, your software does not support Off-The-Record messaging. How could I resolve it?

By setting the otr key..

https://securityinabox.org/en/guide/jitsi/linux/#using-jitsi-for-secure-instant-messaging

Mangy Dog

I am a member!

I am a translator!

Hors ligne
A rejoint: 03/15/2015

lynn
>I got this error:Jabber) is trying to initiate an encrypted Off-The-Record conversation with you.
You meant with someone else.. ;-)

lynn
Hors ligne
A rejoint: 02/10/2016

Finally I installed last version of jitsi. yes with someone else

version 2.10.5550

I noticed I don't receive authorization request to add new contact ..and the people I tried to send authorization request with same version don't receive authorization request..

Could you let me know if this version has an issue? and how could I change version?

Or is it related to XMPP server communication?

thanks

lynn
Hors ligne
A rejoint: 02/10/2016

Finally I found it was linked with my xmpp server issue..not client..

Do you know any xmpp server that offers fast download or upload..if yes, what is their maximum speed?

Thank you

lynn
Hors ligne
A rejoint: 02/10/2016

How I could add ricochet repository to trisquel? richochet is totally free source? right

Thank you

GNUser
Hors ligne
A rejoint: 07/17/2013

Yes, it is free/libre software. You can just download and extract and run, it is kinda portable. However it is possible that the last version (1.1.4 I think) will not work in Trisquel 7, in that case use previous version (1.1.3 I believe) which will run just fine. There are no serious security issues between one and the other version.

lynn
Hors ligne
A rejoint: 02/10/2016

No repository is available with ricochet?

I should install manually?

Let know the commands I should use

ty

Magic Banana

I am a member!

Hors ligne
A rejoint: 07/24/2010

You can:

  1. install GDebi from the package manager
  2. download the package from https://packages.ubuntu.com/xenial/amd64/ricochet-im/download
  3. double-click on the downloaded package
  4. click the "Install package button
  5. type your password
  6. click the "Apply" button

The package is for Ubuntu 16.04 but it will probably work.

SuperTramp83

I am a translator!

Hors ligne
A rejoint: 10/31/2014

Download the tar and the relevant .asc from https://ricochet.im/releases/1.1.4/

Import developers signin key-->
https://ricochet.im/john-brooks.asc

Verify the tar, extract it and run the ricochet executable.

cheers

lynn
Hors ligne
A rejoint: 02/10/2016

Hi how I could import developper sigin key
thank you

SuperTramp83

I am a translator!

Hors ligne
A rejoint: 10/31/2014

In terminal:

sudo apt-get install wget
wget https://ricochet.im/john-brooks.asc
gpg --import john-brooks.asc

Verify the fingerprint of the imported key:

gpg --fingerprint 183C045D

The output should be:

pub rsa2048/0xFF97C53F183C045D 2013-11-08 [SC] [expires: 2017-11-08]
Key fingerprint = 9032 CAE4 CBFA 933A 5A21 45D5 FF97 C53F 183C 045D
uid [ unknown] John Brooks <name at domain>
sub rsa2048/0xAF79FAB717EDC112 2013-11-08 [E] [expires: 2017-11-08]
Key fingerprint = F2B7 E0A2 9A31 99BE 197E 1263 AF79 FAB7 17ED C112

Now, you can verify the .asc (and the .tar of course, which is implied in the command) with gpg:

cd into the folder where you downloaded the .tar and the .asc and:

gpg --verify ricochet.tar.asc

You should see: GOOD SIGNATURE

gpg: Signature made Sat 05 Nov 2016 03:22:52 AM CET
gpg: using RSA key 0xFF97C53F183C045D
gpg: Good signature from "John Brooks <name at domain>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg: There is no indication that the signature belongs to the owner.
Primary key fingerprint: 9032 CAE4 CBFA 933A 5A21 45D5 FF97 C53F 183C 045D

Now you can be sure your tar is immaculate so you can extract it and run 'ricochet' executable.

lynn
Hors ligne
A rejoint: 02/10/2016

hi
Ok I done all the checks.

Can you let me know how I could run ricochet , I dont find executable file

Thank you

SuperTramp83

I am a translator!

Hors ligne
A rejoint: 10/31/2014

Sure. You can run it from terminal. Assuming the ricochet folder is in /home/lynn/, thus the complete path of the executable is /home/lynn/ricochet/ricochet

/home/lynn/ricochet/ricochet

or

ricochet/ricochet

or cd into the folder and:

./ricochet

You can make yourself a launcher too. I recommend 'menulibre' to do so the easy way.

lynn
Hors ligne
A rejoint: 02/10/2016

TY:) I have this error:
./ricochet: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by ./ricochet)
./ricochet: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by ./ricochet)

How I could resolve this

Ty

SuperTramp83

I am a translator!

Hors ligne
A rejoint: 10/31/2014

It seems a dependency is missing, namely libstdc++6 is of a too old version in Trisquel 7 for ricochet to work :/ )

Which would confirm what mateson GNUser wrote above..

However it is possible that the last version (1.1.4 I think) will not work in Trisquel 7, in that case use previous version (1.1.3 I believe) which will run just fine. There are no serious security issues between one and the other version.

Try version 1.1.3 maybe and wait for Trisquel 8 to reach stable (in 2021, heh :P)

/me sends patience points..

libreleah
Hors ligne
A rejoint: 04/03/2017

tox works pretty well

libreleah
Hors ligne
A rejoint: 04/03/2017

GNU Ring is also p2p chat i think

ADFENO
Hors ligne
A rejoint: 12/31/2012

Yes, GNU Ring (if use use it for "RING" type accounts) is.

The client/software called GNU Ring is also a SIP client, which isn't
distributed/P2P, but SIP usage nowadays is rare.

Optionally, you can tell GNU Ring to "register" a user-friendly/short
identity in the GNU Ring nameserver, this register if I'm not mistaken
requires a central provider in order for the person contacting you to
look up for that identity, but I guess this is only done for the first
time, not every single time. However, since I don't have a short GNU
Ring identity I can't be trusted as true source of information, so
please ask GNU Ring instead.

--
- [[https://libreplanet.org/wiki/User:Adfeno]]
- Palestrante e consultor sobre /software/ livre (não confundir com
gratis).
- "WhatsApp"? Ele não é livre, por isso não uso. Iguais a ele prefiro
GNU Ring, ou Tox. Quer outras formas de contato? Adicione o vCard
que está no endereço acima aos teus contatos.
- Pretende me enviar arquivos .doc, .ppt, .cdr, ou .mp3? OK, eu
aceito, mas não repasso. Entrego apenas em formatos favoráveis ao
/software/ livre. Favor entrar em contato em caso de dúvida.